# Class CIM_ResourceAllocationFromPool
extends CIM_Dependency

ResourceAllocationFromPool associates an instance of CIM_ResourceAllocationSettingData representing a resource allocation with the CIM_ResourcePool from which it is allocated.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ResourceAllocationFromPool

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | ResourceAllocationFromPool associates an instance of CIM_ResourceAllocationSettingData representing a resource allocation with the CIM_ResourcePool from which it is allocated.
UMLPackagePath | string | CIM::System::Resource
Version | string | 2.22.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ResourceAllocationFromPool | CIM_ResourcePool
Dependent | CIM_ResourceAllocationFromPool | CIM_ResourceAllocationSettingData

## Class Methods